<?php declare(strict_types=1);

/**
 * Support: for advanced array handling
 */

namespace Infomaker\Everyware\Support;

use Illuminate\Support\Arr as baseArr;

/**
 * Class Arr
 * @package Infomaker\Everyware\Support
 */
class Arr extends baseArr
{

    /**
     * Check whether the array has non-integer keys
     * Note: (not whether the array is sequentially-indexed or zero-indexed)
     *
     * @param array $array
     *
     * @return bool
     */
    public static function hasStringKeys(array $array): bool
    {
        return \count(array_filter(array_keys($array), '\is_string')) > 0;
    }
}
