<?php
/**
 * Interface: to indicate that the class can be presented as an array suitable for a select-box
 */

namespace Infomaker\Everyware\Support\Interfaces;

/**
 * Interface Selectable
 *
 * @link    http://infomaker.se
 * @package Infomaker\ProjectPlugin\Interfaces\Support
 * @since   Infomaker\ProjectPlugin\Interfaces\Support\Selectable 0.1
 */
interface Selectable
{

    /**
     * Return data in the form of an array fit for a select-box
     * A preselected value may be sent in.
     *
     * @param mixed $selected
     *
     * @return array
     */
    public static function toSelect($selected = null);
}
